import request from '@/utils/request'

// 查询幼儿园检测报告列表
export function listKindergartenCheckReport(query) {
    return request({
        url: '/system/kindergartenCheckReport/list',
        method: 'get',
        params: query
    })
}




// 查询幼儿园检测报告详细
export function existKindergartenCheckReport(kindergartenId, batchCode) {
    return request({
        url: `/system/kindergartenCheckReport/existKindergartenCheckReport?kindergartenId=${kindergartenId}&batchCode=${batchCode}`,
        method: 'get'
    })
}

// 修改幼儿园检测报告
export function updateKindergartenCheckReport(data) {
    return request({
        url: '/system/kindergartenCheckReport/edit',
        method: 'POST',
        data: data
    })
}

// 幼儿园报告下载/预览
export function report(id) {
    return request({
        url: `/system/kindergartenCheckReport/download/report?id=${id}`,
        method: 'POST',
        responseType: 'blob'
    })
}